従業員賃金設定削除
DELETE /staffs/{staff_id}/wage_apply/{wage_apply_id}
DELETE
/staffs/{staff_id}/wage_apply/{wage_apply_id}
従業員の賃金設定を削除します。
対象
- プラン
- スタンダード
- プレミアム
- プレミアムプラス
- エンタープライズ
対象ユーザー権限
- 従業員管理編集(全て)
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” staff_id
required
string
従業員ID
Example
1 wage_apply_id
required
string
賃金設定ID
Example
10Responses
Section titled “ Responses ”削除成功
object
staffId
従業員ID
string
wageApplyId
賃金設定ID
string
Example
{ "staffId": "1", "wageApplyId": "10"}業務制約により削除できない場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Example
{ "type": "about:blank", "title": "Bad Request", "detail": "初期設定のため給与設定を削除できません。"}- 指定した従業員IDのデータが存在しない場合
- 指定した賃金設定IDが存在しない、または従業員に紐づかない場合
object
type
エラータイプを識別するURI、もしくはabout:blank
string
title
エラーの概要
string
detail
エラーの詳細
string
Examples
従業員IDが存在しない場合
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。従業員ID: 999"}賃金設定IDが存在しない、または従業員に紐づかない場合
{ "type": "about:blank", "title": "Not Found", "detail": "データが確認できませんでした。wageApplyId: 999"}